<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_target.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_target.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Implementation of Target Object APIs. </p>

<p><a href="tivx__target_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__t.html">tivx_target_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target object internal state.  <a href="structtivx__target__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameters that can be set during target creation.  <a href="structtivx__target__create__params__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__cfg.html#ga672f053a5c680cf8ae0938477686dc5e">TIVX_TARGET_MAX_TARGETS_IN_CPU</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max number of Target that can exist on a CPU.  <a href="group__group__tivx__target__cfg.html#ga672f053a5c680cf8ae0938477686dc5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target__cfg.html#gacef8bfb75a477a21c677c37e8de8add3">TIVX_TARGET_MAX_JOB_QUEUE_DEPTH</a>&nbsp;&nbsp;&nbsp;(32u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max depth of queue associated with target.  <a href="group__group__tivx__target__cfg.html#gacef8bfb75a477a21c677c37e8de8add3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga8e1f23af23b08043c86aafabfdcafb6d">TIVX_TARGET_INST_MASK</a>&nbsp;&nbsp;&nbsp;(0xFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit mask.  <a href="group__group__tivx__target.html#ga8e1f23af23b08043c86aafabfdcafb6d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga61f79413cd1c84255b912f313d2409ec">TIVX_TARGET_INST_SHIFT</a>&nbsp;&nbsp;&nbsp;(0x0u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit mask.  <a href="group__group__tivx__target.html#ga61f79413cd1c84255b912f313d2409ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga81ac34633650fbdaa95f15156f870e34">TIVX_CPU_ID_MASK</a>&nbsp;&nbsp;&nbsp;(0xFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">CPU ID bit mask.  <a href="group__group__tivx__target.html#ga81ac34633650fbdaa95f15156f870e34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga325e1041e0add3a92e0ff1c210320dc7">TIVX_CPU_ID_SHIFT</a>&nbsp;&nbsp;&nbsp;(0x4)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">CPU ID bit shift.  <a href="group__group__tivx__target.html#ga325e1041e0add3a92e0ff1c210320dc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga6bc81498984f10b5e3fc6ee068f65a72">TIVX_TARGET_ID_MASK</a>&nbsp;&nbsp;&nbsp;(0xFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit mask.  <a href="group__group__tivx__target.html#ga6bc81498984f10b5e3fc6ee068f65a72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga48eacb31d68974bda585cbf9d2257a3a">TIVX_TARGET_ID_SHIFT</a>&nbsp;&nbsp;&nbsp;(0x0u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target ID bit shift.  <a href="group__group__tivx__target.html#ga48eacb31d68974bda585cbf9d2257a3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga033ec5e18b5d4cebbed152cd01086ecc">TIVX_MAKE_TARGET_ID</a>(cpu, target_inst)&nbsp;&nbsp;&nbsp;((<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>)(((((uint32_t)cpu)&amp;TIVX_CPU_ID_MASK) &lt;&lt; TIVX_CPU_ID_SHIFT) |((((uint32_t)target_inst)&amp;TIVX_TARGET_INST_MASK) &lt;&lt; TIVX_TARGET_INST_SHIFT)))</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make target based on CPU ID.  <a href="group__group__tivx__target.html#ga033ec5e18b5d4cebbed152cd01086ecc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gae2b5f51dde194470e8cd20fd3137da53">TIVX_GET_CPU_ID</a>(target)&nbsp;&nbsp;&nbsp;((<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>)(((target)&gt;&gt;TIVX_CPU_ID_SHIFT)&amp;TIVX_CPU_ID_MASK))</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get CPU Id from given target.  <a href="group__group__tivx__target.html#gae2b5f51dde194470e8cd20fd3137da53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga40dc0ddb4196d504ef538f958fef26cd">TIVX_GET_TARGET_INST</a>(target)&nbsp;&nbsp;&nbsp;((uint16_t)(((target)&gt;&gt;TIVX_TARGET_INST_SHIFT)) &amp; TIVX_TARGET_INST_MASK)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the target instances from target.  <a href="group__group__tivx__target.html#ga40dc0ddb4196d504ef538f958fef26cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gaf943ee340be601ee19cd92e378211b53">TIVX_TARGET_ID_INVALID</a>&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Const to denote invalid ID's.  <a href="group__group__tivx__target.html#gaf943ee340be601ee19cd92e378211b53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gab4723d77faf1c4eb39193f47dc5b81f4">TIVX_CPU_ID_INVALID</a>&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Const to denote invalid ID's.  <a href="group__group__tivx__target.html#gab4723d77faf1c4eb39193f47dc5b81f4"></a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct _tivx_target *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="tivx__target_8h.html#ae387c0cdeac5b0aa7ae6f78a6d1cb599">tivx_target</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target Object.  <a href="#ae387c0cdeac5b0aa7ae6f78a6d1cb599"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gaab9a2b437b24da392a6784bc35334e72">tivx_target_cmd_e</a> { <a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a27f3929cca255379921df4d7f10e62ca">TIVX_CMD_NODE_CREATE</a> =  0x00000001u, 
<a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a5c6648535cde2654e3220e790101067f">TIVX_CMD_NODE_DELETE</a> =  0x00000002u, 
<a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a0ec94e1f3e56ed21acc8b26516483cf3">TIVX_CMD_NODE_CONTROL</a> =  0x00000003u, 
<a class="el" href="group__group__tivx__target.html#ggaab9a2b437b24da392a6784bc35334e72a4683622e1c5471b8f2a581addbe19c7c">TIVX_CMD_NODE_USER_CALLBACK</a> =  0x00000004u
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Command ID for commands that can be send to a target. </p>
 <a href="group__group__tivx__target.html#gaab9a2b437b24da392a6784bc35334e72">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga91042e4d910596a3f8889ba4a26df97a">tivxTargetGetCpuId</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get CPU ID associated with given target ID.  <a href="group__group__tivx__target.html#ga91042e4d910596a3f8889ba4a26df97a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga75b9a3e518e3eff982210fb179a5c35c">tivxTargetQueueObjDesc</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id, uint16_t obj_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Queue object descriptor to a given target.  <a href="group__group__tivx__target.html#ga75b9a3e518e3eff982210fb179a5c35c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga5e59a1fe631ed63d7a225af8dcf6aa44">tivxTargetSetDefaultCreateParams</a> (<a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a> *params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to set default target create parameters in parameter structure.  <a href="group__group__tivx__target.html#ga5e59a1fe631ed63d7a225af8dcf6aa44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gafc790d4875704d2d35d0b2df0e875c6d">tivxTargetCreate</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id, <a class="el" href="structtivx__target__create__params__t.html">tivx_target_create_params_t</a> *params)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a target object and associate with given target ID.  <a href="group__group__tivx__target.html#gafc790d4875704d2d35d0b2df0e875c6d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gad0a24699e949291235bea34a6544b89d">tivxTargetDelete</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> target_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete a target object.  <a href="group__group__tivx__target.html#gad0a24699e949291235bea34a6544b89d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#ga28d7fa03e4c54e9a855b5e9997634fc1">tivxTargetInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init global state of target module.  <a href="group__group__tivx__target.html#ga28d7fa03e4c54e9a855b5e9997634fc1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__target.html#gab6deead17a33e5a72ba2efec1098be38">tivxTargetDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">De-Init global state of target module.  <a href="group__group__tivx__target.html#gab6deead17a33e5a72ba2efec1098be38"></a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ae387c0cdeac5b0aa7ae6f78a6d1cb599"></a><!-- doxytag: member="tivx_target.h::tivx_target" ref="ae387c0cdeac5b0aa7ae6f78a6d1cb599" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct _tivx_target* <a class="el" href="tivx__target_8h.html#ae387c0cdeac5b0aa7ae6f78a6d1cb599">tivx_target</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target Object. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
